## org.apache.cassandra.db
Class BinaryMemtable

    java.lang.Object
      org.apache.cassandra.db.BinaryMemtable

All Implemented Interfaces:
  IFlushable

    public class BinaryMemtable

extends java.lang.Object
implements IFlushable

Constructor Summary
`BinaryMemtable(ColumnFamilyStore cfs)`

Method Summary
`void` `flushAndSignal(java.util.concurrent.locks.Condition condition, java.util.concurrent.ExecutorService sorter, java.util.concurrent.ExecutorService writer)`
`boolean` `isClean()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryMemtable

    public BinaryMemtable(ColumnFamilyStore cfs)

Method Detail

### isClean

    public boolean isClean()

### flushAndSignal

    public void flushAndSignal(java.util.concurrent.locks.Condition condition,
                               java.util.concurrent.ExecutorService sorter,
                               java.util.concurrent.ExecutorService writer)

  Specified by:
    `flushAndSignal` in interface `IFlushable`

Copyright © 2010 The Apache Software Foundation